"use strict";
/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
// commands
const CreateToken_1 = require("./commands/CreateToken");
const TransferOwnership_1 = require("./commands/TransferOwnership");
var NIP13;
(function (NIP13) {
    /**
     * @class NIP13.CreateToken
     * @package interfaces
     * @since v0.1.0
     * @description Class that describes a token command for creating NIP13 compliant tokens.
     */
    class CreateToken extends CreateToken_1.CreateToken {
    }
    NIP13.CreateToken = CreateToken;
    /**
     * @class NIP13.TransferOwnership
     * @package interfaces
     * @since v0.1.0
     * @description Class that describes a token command for transferring the ownership of NIP13 compliant tokens.
     */
    class TransferOwnership extends TransferOwnership_1.TransferOwnership {
    }
    NIP13.TransferOwnership = TransferOwnership;
})(NIP13 = exports.NIP13 || (exports.NIP13 = {}));
